Subject: Re: bug#16992: feature request: background images

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Nov 2024 08:04:01 +0200

> Date: Wed, 6 Nov 2024 23:34:43 +0100
> From: Cecilio Pardo <[email-masked]>
> 
> Hello,
> 
> I have a patch almost ready to add background images for frames.  It has 
> support only for X11+cairo and MS-Windows. I would like to have it 
> reviewed before adding more variants, if that's ok.
> 
> I am planning to also draw informational UI elements into the background 
> (with or without an image), such us fill column indicator, maybe indent 
> lines, but again only if the implementation looks ok.

Yes, it's okay to post partial changesets for review.

For the second part, I think this is a very welcome and long-desired
feature, so I suggest that we discuss its projected abilities and the
way it will be exposed to Lisp before you finalize the implementation.
There are quite a few potential features in Emacs which could be based
on something like that, and are basically blocked by our current
inability to do it, so IMO we should at least have a more-or-less full
list of those client features before us, as a prerequisite for
discussing the implementation.

Thanks!